Download OpenAPI specification:Download
API used for reading and updating information about member organizations and it's associated metadata.
[- {
- "organization_id": 0,
- "name": "string",
- "renewal_date": "string",
- "member_since": "string",
- "is_active_member": true,
- "levels": [
- {
- "level": "string",
- "description": "string"
}
], - "description": {
- "short": "string",
- "full": "string"
}, - "website": "string",
- "logos": {
- "print": "string",
- "web": "string"
}, - "wgpas": [
- {
- "document_id": "string",
- "level": "string",
- "working_group": "string",
- "description": "string"
}
]
}
]Returns a list of paired down organizations from the Eclipse API, returning just critical data
[- {
- "organization_id": 0,
- "name": "string",
- "website": "string",
- "is_active_member": true,
- "logos": {
- "print": "string",
- "web": "string"
}
}
]Returns an organization that has a matching ID
| organizationID required | number The organization ID for the organization to retrieve |
{- "organization_id": 0,
- "name": "string",
- "renewal_date": "string",
- "member_since": "string",
- "is_active_member": true,
- "levels": [
- {
- "level": "string",
- "description": "string"
}
], - "description": {
- "short": "string",
- "full": "string"
}, - "website": "string",
- "logos": {
- "print": "string",
- "web": "string"
}, - "wgpas": [
- {
- "document_id": "string",
- "level": "string",
- "working_group": "string",
- "description": "string"
}
]
}Updates an organization information and returns the updated entity
| organizationID required | number The organization ID for the organization to retrieve |
| description | string Description of the stored URL/product |
| company_url | string URL for the product |
{- "description": "string",
- "company_url": "string"
}{- "organization_id": 0,
- "name": "string",
- "renewal_date": "string",
- "member_since": "string",
- "is_active_member": true,
- "levels": [
- {
- "level": "string",
- "description": "string"
}
], - "description": {
- "short": "string",
- "full": "string"
}, - "website": "string",
- "logos": {
- "print": "string",
- "web": "string"
}, - "wgpas": [
- {
- "document_id": "string",
- "level": "string",
- "working_group": "string",
- "description": "string"
}
]
}Returns the CBI information for the current organization
| organizationID required | number The organization ID for the organization to retrieve |
{- "memberOrganizationsBenefits": [
- {
- "id": 0,
- "displayName": "string",
- "resourcePacks": 0,
- "dedicatedAgents": 0,
- "ghLargeRunners": 0,
- "resourcePacks_used": 0,
- "dedicatedAgents_used": 0,
- "ghLargeRunners_used": 0,
- "membership": "string"
}
], - "sponsoredProjects": [
- {
- "project": {
- "id": "string"
}, - "sponsoringOrganizations": [
- {
- "id": 0,
- "displayName": "string",
- "resourcePacks": 0,
- "dedicatedAgents": 0,
- "ghLargeRunners": 0,
- "comment": "string",
- "requestTickets": [
- "string"
]
}
]
}
]
}Updates an organization logo and returns the updated entity
| organizationID required | number The organization ID for the organization to retrieve |
| image | object The image file. Should be included as a file would naturally be included in a form without encoding |
| image_mime | string The mime type for the image |
| image_format | string Enum: "SMALL" "LARGE" "PRINT" the format of logo image to be updated |
{- "organization_id": 0,
- "name": "string",
- "renewal_date": "string",
- "member_since": "string",
- "is_active_member": true,
- "levels": [
- {
- "level": "string",
- "description": "string"
}
], - "description": {
- "short": "string",
- "full": "string"
}, - "website": "string",
- "logos": {
- "print": "string",
- "web": "string"
}, - "wgpas": [
- {
- "document_id": "string",
- "level": "string",
- "working_group": "string",
- "description": "string"
}
]
}Removes an organization logo if one exists
| organizationID required | number The organization ID for the organization to retrieve |
| type | string The type of logo format to remove, e.g. WEB or PRINT. Defaults to WEB when not provided |
| image | object The image file. Should be included as a file would naturally be included in a form without encoding |
| image_mime | string The mime type for the image |
| image_format | string Enum: "SMALL" "LARGE" "PRINT" the format of logo image to be updated |
Returns projects associated with the organization
| organizationID required | string or null (ObjectID) >= 1 The organization ID for the associated entities to retrieve |
[- {
- "project_id": "string",
- "parent_project_id": "string",
- "name": "string",
- "level": "string",
- "description": "string",
- "url_download": "string",
- "url_index": "string",
- "date_active": "string",
- "sort_order": "string",
- "bugs_name": "string",
- "project_phase": "string",
- "disk_quota_gb": 0,
- "is_active": true,
- "is_component": true,
- "is_standard": true
}
]Returns committers associated with the organization
| organizationID required | string or null (ObjectID) >= 1 The organization ID for the associated entities to retrieve |
[- {
- "id": "string",
- "first_name": "string",
- "last_name": "string",
- "email": "string",
- "relations": [
- "string"
]
}
]Returns contributors associated with the organization
| organizationID required | string or null (ObjectID) >= 1 The organization ID for the associated entities to retrieve |
[- {
- "id": "string",
- "first_name": "string",
- "last_name": "string",
- "email": "string",
- "relations": [
- "string"
]
}
]Returns the membership billing transaction history for the organization, distinguishing standard membership dues from working group collaboration dues. Restricted to the organization's CR (Company Representative) contact, as billing information is sensitive.
| organizationID required | string or null (ObjectID) >= 1 The organization ID for the organization to retrieve transactions for |
[- {
- "type": "MEMBERSHIP",
- "state": "ABRT",
- "amount": 0,
- "currency": "string",
- "associated_entity": "string",
- "relation": "string",
- "created_date": "string"
}
]Gets working groups the organization is member to
| organizationID required | number The organization ID for the organization to retrieve |
[- {
- "alias": "string",
- "title": "string",
- "status": "string",
- "logo": "string",
- "description": "string",
- "resources": {
- "charter": "string",
- "contact_form": "string",
- "members": "string",
- "participation_agreements": {
- "individual": { },
- "organization": { },
- "sponsorship": "string",
- "sponsorship_document": "string"
}, - "website": "string"
}, - "levels": [
- {
- "relation": "string",
- "description": "string"
}
]
}
]Returns a list of contacts for the given organization with additional data such as name and email
| organizationID required | number The organization ID for the organization to retrieve |
[- {
- "id": "string",
- "first_name": "string",
- "last_name": "string",
- "email": "string",
- "relations": [
- "string"
]
}
]Returns a list of contact relations for the given user in the passed organization
| organizationID required | number The organization ID for the organization to retrieve |
| contactID required | string The contact ID/username of the contact to retrieve |
[- {
- "organization_id": 0,
- "person_id": "string",
- "relation": "string",
- "comments": "string",
- "title": "string"
}
]Fires a request for a organization contact to be removed.
| organizationID required | number The organization ID for the organization to retrieve |
| contactID required | string The contact ID/username of the contact to retrieve |
The working group to be updated or inserted into the data set.
| organization_id | integer the target organization to remove user from |
| username | string the user that should be removed from the organization |
| reason | string the reason the user should be removed from the organization |
{- "organization_id": 0,
- "username": "string",
- "reason": "string"
}Returns a contact relations for the given user and relation/position in the passed organization if it exists
| organizationID required | number The organization ID for the organization to retrieve |
| contactID required | string The contact ID/username of the contact to retrieve |
| relation required | string The relation code of the relation type to retrieve/check for/update. |
{- "organization_id": 0,
- "person_id": "string",
- "relation": "string",
- "comments": "string",
- "title": "string"
}Updates an organization contact and returns the updated entity
| organizationID required | number The organization ID for the organization to retrieve |
| contactID required | string The contact ID/username of the contact to retrieve |
| relation required | string The relation code of the relation type to retrieve/check for/update. |
{- "organization_id": 0,
- "person_id": "string",
- "relation": "string",
- "comments": "string",
- "title": "string"
}Removes a single organization contact relation. Works for all relations except EMPLY and CR, which must be done manually through the membership team.
| organizationID required | number The organization ID for the organization to retrieve |
| contactID required | string The contact ID/username of the contact to retrieve |
| relation required | string The relation code of the relation type to retrieve/check for/update. |
{- "status_code": 0,
- "message": "string",
- "url": "string"
}Returns a list of contacts with elevated roles for the given organization with their name.
| organizationID required | number The organization ID for the organization to retrieve |
{- "id": "string",
- "first_name": "string",
- "last_name": "string",
- "email": "string",
- "relations": [
- "string"
]
}Returns a contact relations for the given user and relation/position in the passed organization if it exists
| organizationID required | number The organization ID for the organization to retrieve |
[- {
- "organization_id": 0,
- "product_id": 0,
- "name": "string",
- "description": "string",
- "product_url": "string"
}
]Returns a organization product/link if it exists
| organizationID required | number The organization ID for the organization product to retrieve |
| productID required | number The product ID for the organization product to retrieve |
{- "organization_id": 0,
- "product_id": 0,
- "name": "string",
- "description": "string",
- "product_url": "string"
}Updates an organization product/link using the body
| organizationID required | number The organization ID for the organization product to retrieve |
| productID required | number The product ID for the organization product to retrieve |
{- "organization_id": 0,
- "product_id": 0,
- "name": "string",
- "description": "string",
- "product_url": "string"
}Remove the organization product that matches the given path parameters
| organizationID required | number The organization ID for the organization product to retrieve |
| productID required | number The product ID for the organization product to retrieve |
Definitions related to Eclipse Foundation organization committer/contributor activity
Returns activity of an organizations commiters
| organizationID required | string or null (ObjectID) >= 1 The organization ID for the associated entities to retrieve |
| period | string The period of activity |
| from_period | string The starting period of activity |
{- "count": 0,
- "period": "string"
}Returns yearly activity of an organizations commiters
| organizationID required | string or null (ObjectID) >= 1 The organization ID for the associated entities to retrieve |
| period | string The period of activity |
| from_period | string The starting period of activity |
{- "count": 0,
- "period": "string"
}Gets the organization activity for a given period
| organizationID required | number The organization ID for the organization to retrieve |
| period | string The period of activity |
| from_period | string The starting period of activity |
{- "count": 0,
- "period": "string"
}Gets the organization activity overview for a given period
| organizationID required | number The organization ID for the organization to retrieve |
| period | string The period of activity |
| from_period | string The starting period of activity |
{- "count": 0,
- "period": "string"
}Gets working group representatives grouped by the alias of the Working Group they are part of
| organizationID required | number The organization ID for the organization to retrieve representatives for |
{- "property1": [
- {
- "id": "string",
- "first_name": "string",
- "last_name": "string",
- "relations": [
- "string"
]
}
], - "property2": [
- {
- "id": "string",
- "first_name": "string",
- "last_name": "string",
- "relations": [
- "string"
]
}
]
}[- {
- "alias": "string",
- "title": "string",
- "status": "string",
- "logo": "string",
- "description": "string",
- "resources": {
- "charter": "string",
- "contact_form": "string",
- "members": "string",
- "participation_agreements": {
- "individual": { },
- "organization": { },
- "sponsorship": "string",
- "sponsorship_document": "string"
}, - "website": "string"
}, - "levels": [
- {
- "relation": "string",
- "description": "string"
}
]
}
]Returns a working group entry that has a matching ID
| documentID required | string or null (ObjectID) >= 1 The document ID for the working group to retrieve |
{- "alias": "string",
- "title": "string",
- "status": "string",
- "logo": "string",
- "description": "string",
- "resources": {
- "charter": "string",
- "contact_form": "string",
- "members": "string",
- "participation_agreements": {
- "individual": { },
- "organization": { },
- "sponsorship": "string",
- "sponsorship_document": "string"
}, - "website": "string"
}, - "levels": [
- {
- "relation": "string",
- "description": "string"
}
]
}Returns a list of active and participating organizations from the Eclipse API for the given project
| projectId required | string The project ID to retrieve active projects for |
[- {
- "organization_id": 0,
- "name": "string",
- "renewal_date": "string",
- "member_since": "string",
- "is_active_member": true,
- "levels": [
- {
- "level": "string",
- "description": "string"
}
], - "description": {
- "short": "string",
- "full": "string"
}, - "website": "string",
- "logos": {
- "print": "string",
- "web": "string"
}, - "wgpas": [
- {
- "document_id": "string",
- "level": "string",
- "working_group": "string",
- "description": "string"
}
]
}
]Definitions related to collaborations with regard to organizations
returns list of organizations with participants for the given Interest Group
| id required | number ID of the interest group to retrieve associated organizations for |
[- {
- "organization_id": 0,
- "name": "string",
- "renewal_date": "string",
- "member_since": "string",
- "is_active_member": true,
- "levels": [
- {
- "level": "string",
- "description": "string"
}
], - "description": {
- "short": "string",
- "full": "string"
}, - "website": "string",
- "logos": {
- "print": "string",
- "web": "string"
}, - "wgpas": [
- {
- "document_id": "string",
- "level": "string",
- "working_group": "string",
- "description": "string"
}
]
}
]returns list of organizations with participants for the given Special Interest Group
| id required | string alias of the special interest group to retrieve associated organizations for |
[- {
- "organization_id": 0,
- "name": "string",
- "renewal_date": "string",
- "member_since": "string",
- "is_active_member": true,
- "levels": [
- {
- "level": "string",
- "description": "string"
}
], - "description": {
- "short": "string",
- "full": "string"
}, - "website": "string",
- "logos": {
- "print": "string",
- "web": "string"
}, - "wgpas": [
- {
- "document_id": "string",
- "level": "string",
- "working_group": "string",
- "description": "string"
}
]
}
]Returns information about the currently logged in user
| organization_id | integer The id of the organization to impersonate. |
| role | string The organizational role to impersonate. |
{- "name": "string",
- "given_name": "string",
- "family_name": "string",
- "email": "string",
- "organizational_roles": {
- "organization_id": 0,
- "property1": [
- "string"
], - "property2": [
- "string"
]
}
}